#!/bin/sh
# copy a distribution specific directory
# If the source does not exist, use refdir

X64=`arch`
if [ "$X64" = "x86_64" ] ; then
	X64=64
else
	X64=
fi

# The files are copied and corrected /usr/lib -> /usr/lib64
cpmod(){
	(
	cd $1
	for dir in `find -type d`
	do
		mkdir -p $2/$dir
	done
	for file in `find -type f`
	do
		case $file in
		*.daemons|*.paths)
			sed s./usr/lib/linuxconf/./usr/lib$X64/linuxconf/.g \
				<$file >$2/$file
			;;
		*)
			cp -a $file $2/$file
			;;
		esac
	done
	)
}

if [ "$1" = "" -o "$2" = "" ] ; then
	echo copydir.sh distribution	linuxconf_dir inherit_from
elif [ -d $1 ] ; then
	cpmod $1 $2/$1
elif [ -d "$3" ] ; then
	cpmod $3 $2/$1
elif [ -d refdir ] ; then
	cpmod refdir $2/$1
fi

